# pip install --upgrade pinecone
import os
from pinecone import Pinecone
pc = Pinecone(api_key=os.environ["PINECONE_API_KEY"])
file = pc.assistants.describe_file(
assistant_name="example-assistant",
file_id="3c90c3cc-0d44-4b50-8888-8dd25736052a",
include_url=True,
)
print(file)
// npm install @pinecone-database/pinecone
import { Pinecone } from '@pinecone-database/pinecone';
// Reads PINECONE_API_KEY from the environment
const pc = new Pinecone();
const assistant = pc.assistant({ name: 'example-assistant' });
const file = await assistant.describeFile('3c90c3cc-0d44-4b50-8888-8dd25736052a', true);
console.log(file);
PINECONE_API_KEY="YOUR_API_KEY"
ASSISTANT_NAME="example-assistant"
FILE_ID="3c90c3cc-0d44-4b50-8888-8dd25736052a"
# Describe a file.
# To get a signed URL in the response, set `include_url` to `true`.
curl -X GET "https://prod-1-data.ke.pinecone.io/assistant/files/$ASSISTANT_NAME/$FILE_ID?include_url=true" \
-H "Api-Key: $PINECONE_API_KEY" \
-H "X-Pinecone-Api-Version: 2026-07"
{
"name": "<string>",
"id": "<string>",
"size": 1048576,
"metadata": {
"created_by": "Jane Doe",
"published": "2025-10-01T00:00:00.000Z",
"tags": [
"report",
"Q4",
"analytics"
]
},
"created_on": "2025-10-01T12:30:00.000Z",
"updated_on": "2025-10-01T12:45:00.000Z",
"status": "<string>",
"signed_url": "https://storage.googleapis.com/bucket/file.pdf?...",
"multimodal": true
}{
"error": {
"code": "UNAUTHENTICATED",
"message": "Invalid API key."
},
"status": 401
}{
"error": {
"code": "NOT_FOUND",
"message": "File with id 72490b32-46d9-4db1-b48b-666e9176d9be not found in provided assistant"
},
"status": 404
}{
"error": {
"code": "UNKNOWN",
"message": "Internal server error"
},
"status": 500
}Files
Describe a file
Get the current status and metadata of a file uploaded to an assistant.
GET
/
files
/
{assistant_name}
/
{assistant_file_id}
# pip install --upgrade pinecone
import os
from pinecone import Pinecone
pc = Pinecone(api_key=os.environ["PINECONE_API_KEY"])
file = pc.assistants.describe_file(
assistant_name="example-assistant",
file_id="3c90c3cc-0d44-4b50-8888-8dd25736052a",
include_url=True,
)
print(file)
// npm install @pinecone-database/pinecone
import { Pinecone } from '@pinecone-database/pinecone';
// Reads PINECONE_API_KEY from the environment
const pc = new Pinecone();
const assistant = pc.assistant({ name: 'example-assistant' });
const file = await assistant.describeFile('3c90c3cc-0d44-4b50-8888-8dd25736052a', true);
console.log(file);
PINECONE_API_KEY="YOUR_API_KEY"
ASSISTANT_NAME="example-assistant"
FILE_ID="3c90c3cc-0d44-4b50-8888-8dd25736052a"
# Describe a file.
# To get a signed URL in the response, set `include_url` to `true`.
curl -X GET "https://prod-1-data.ke.pinecone.io/assistant/files/$ASSISTANT_NAME/$FILE_ID?include_url=true" \
-H "Api-Key: $PINECONE_API_KEY" \
-H "X-Pinecone-Api-Version: 2026-07"
{
"name": "<string>",
"id": "<string>",
"size": 1048576,
"metadata": {
"created_by": "Jane Doe",
"published": "2025-10-01T00:00:00.000Z",
"tags": [
"report",
"Q4",
"analytics"
]
},
"created_on": "2025-10-01T12:30:00.000Z",
"updated_on": "2025-10-01T12:45:00.000Z",
"status": "<string>",
"signed_url": "https://storage.googleapis.com/bucket/file.pdf?...",
"multimodal": true
}{
"error": {
"code": "UNAUTHENTICATED",
"message": "Invalid API key."
},
"status": 401
}{
"error": {
"code": "NOT_FOUND",
"message": "File with id 72490b32-46d9-4db1-b48b-666e9176d9be not found in provided assistant"
},
"status": 404
}{
"error": {
"code": "UNKNOWN",
"message": "Internal server error"
},
"status": 500
}# pip install --upgrade pinecone
import os
from pinecone import Pinecone
pc = Pinecone(api_key=os.environ["PINECONE_API_KEY"])
file = pc.assistants.describe_file(
assistant_name="example-assistant",
file_id="3c90c3cc-0d44-4b50-8888-8dd25736052a",
include_url=True,
)
print(file)
// npm install @pinecone-database/pinecone
import { Pinecone } from '@pinecone-database/pinecone';
// Reads PINECONE_API_KEY from the environment
const pc = new Pinecone();
const assistant = pc.assistant({ name: 'example-assistant' });
const file = await assistant.describeFile('3c90c3cc-0d44-4b50-8888-8dd25736052a', true);
console.log(file);
PINECONE_API_KEY="YOUR_API_KEY"
ASSISTANT_NAME="example-assistant"
FILE_ID="3c90c3cc-0d44-4b50-8888-8dd25736052a"
# Describe a file.
# To get a signed URL in the response, set `include_url` to `true`.
curl -X GET "https://prod-1-data.ke.pinecone.io/assistant/files/$ASSISTANT_NAME/$FILE_ID?include_url=true" \
-H "Api-Key: $PINECONE_API_KEY" \
-H "X-Pinecone-Api-Version: 2026-07"
Path Parameters
Response
Poll request successful.
The response format for a successful file upload request.
The current state of the uploaded file. Possible values:
Processing: File is being processed (parsed, chunked, embedded)Available: Processing completed successfully; file is ready for useDeleting: Deletion has been initiated but not yet completedProcessingFailed: Processing failed with an error
Note: Once a file is deleted, the API returns 404 Not Found instead of a file object.
A signed URL that provides temporary, read-only access to the file. Anyone with the link can access the file, so treat it as sensitive data. Expires after a short time.
Example:
"https://storage.googleapis.com/bucket/file.pdf?..."
Was this page helpful?